import { RadialBucketCalculator } from "./RadialBucketCalculator";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { Type, Point } from "igniteui-angular-core";
import { RadialBase } from "./RadialBase";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { DependencyProperty } from "igniteui-angular-core";
import { TrendLineType } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { PenLineCap } from "igniteui-angular-core";
import { DoubleCollection } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { RadialFrame } from "./RadialFrame";
import { SeriesView } from "./SeriesView";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { SeriesLayerPropertyOverlay } from "./SeriesLayerPropertyOverlay";
import { AxisRange } from "./AxisRange";
import { IFastItemsSource } from "igniteui-angular-core";
import { RadialBaseView } from "./RadialBaseView";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { ITrendLineManager } from "./ITrendLineManager";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryAngleAxis } from "./CategoryAngleAxis";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { CategoryCollisionMode } from "./CategoryCollisionMode";
import { Clipper } from "igniteui-angular-core";
import { RadialTrendLineManager } from "./RadialTrendLineManager";
import { PointCollection } from "igniteui-angular-core";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class AnchoredRadialBucketCalculator extends RadialBucketCalculator {
    static $t: Type;
    private f;
    constructor(a: AnchoredRadialSeriesView);
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare abstract class AnchoredRadialSeries extends RadialBase {
    static $t: Type;
    protected ct(): SeriesView;
    o8(): void;
    mj(): string;
    ku(a: any, b: string): any;
    mi(a: string): string;
    jf(a: any): number;
    protected kx(a: number): any;
    q7(a: SeriesView): void;
    aca: AnchoredRadialSeriesView;
    constructor();
    acb: CategoryLineRasterizer;
    ke(a: Point, b: boolean): number;
    kc(a: Point, b: boolean): number;
    ir(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    protected acl: boolean;
    i8(a: Point, b: boolean, c: boolean): number;
    wm(a: Point, b: boolean, c: boolean): Point;
    acp: boolean;
    ac5: string;
    acx: string;
    protected gc(): boolean;
    protected hu(): List$1<SeriesLayerPropertyOverlay>;
    private adb;
    get acg(): IFastItemColumn$1<number>;
    set acg(a: IFastItemColumn$1<number>);
    private acf;
    ac1: string;
    ac3: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    ace: TrendLineType;
    adt: Brush;
    get ads(): Brush;
    set ads(a: Brush);
    static readonly adf: DependencyProperty;
    acu: number;
    adv: PenLineCap;
    adu: DoubleCollection;
    acv: number;
    acw: number;
    ay(a: Axis): AxisRange;
    protected aah(a: number, b: any): any;
    protected dl(a: string): IFastItemColumn$1<number>;
    protected ac9(a: IFastItemsSource, b: IFastItemColumn$1<number>): void;
    protected rg(a: any, b: string, c: any, d: any): void;
    protected ph(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    hf(a: Rect, b: Rect, c: SeriesView): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    protected get_acm(): boolean;
    protected get acm(): boolean;
    protected get_em(): boolean;
    protected get_f6(): boolean;
    protected acr(a: CategoryAngleAxis, b: Rect, c: Rect, d: Rect): number;
    protected acq(a: number, b: CategoryAngleAxis, c: Rect, d: Rect, e: Rect): number;
    ada(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior, d: CategoryCollisionMode): void;
    protected get_aco(): boolean;
    protected get aco(): boolean;
    protected get_aci(): boolean;
    protected get aci(): boolean;
    abh(a: RadialFrame, b: RadialBaseView): void;
    private acs;
    private act;
    private acn;
    ab9(a: List$1<number[]>, b: number, c: SeriesView): Clipper;
    protected adw: Point;
    ade(a: PointCollection, b: PointCollection, c: PointCollection, d: PointCollection, e: boolean): void;
    private ack;
    private acj;
    pb(a: boolean, b: SeriesView): void;
    abk(a: RadialFrame, b: RadialBaseView): void;
    protected ab8(a: number, b: number, c: Axis): any[];
    protected adc(a: List$1<number[]>, b: number, c: number, d: CategoryAxisBase, e: ScalerParams, f: boolean): void;
    protected add(a: List$1<number[]>, b: number, c: number, d: CategoryAxisBase, e: ScalerParams, f: boolean): void;
    ac8(a: RadialBaseView, b: RadialFrame): void;
    private ac7;
    protected sp(): void;
    k1(a: any, b: Point): any;
    ge(a: any): boolean;
    acd: RadialFrame;
    r0(a: Rect, b: RenderSurface): void;
    r1(): void;
    private acc;
    rx(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected p5(a: any): void;
    private ach;
    bd(): ITrendLineManager;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnchoredRadialSeriesView extends RadialBaseView {
    static $t: Type;
    de: AnchoredRadialSeries;
    constructor(a: AnchoredRadialSeries);
    df: RadialTrendLineManager;
    dg(a: Rect, b: Rect, c: Rect, d: Rect): void;
    dh(): void;
    protected bi(a: RenderingContext, b: boolean): void;
    getDefaultTooltipTemplate(): string;
}
